Get all hostings and domains
GET
https://api.lws.net/v1/
operationIdgetHosting0List
Get a list of all the domains and their associated hostings managed by the user, as well as miscellenous informations about them.
Responses
200
Hostings retrieved successfully
{
"code": 200,
"info": "Retrieved all hostings",
"data": [
{
"domain": "example.com",
"date_purchase": "2023-01-01",
"date_expiration": "2024-01-01",
"ns1": "ns1.lwsdns.com",
"ns2": "ns2.lwsdns.com",
"ns3": "ns3.lwsdns.com",
"ns4": "ns4.lwsdns.com",
"owner": 547645,
"package": "LWS Perso",
"lws_domain": true,
"autorenew": {
"payment": "aucun",
"account": ""
}
}
]
}
Response fields 16
-
codeinteger -
infostring -
dataobject[] -
domainanyName of the domain
-
date_purchaseanyPurchase date of the hosting
-
date_expirationanyExpiration date of the hosting
-
ns1anyFirst nameserver
-
ns2anySecond nameserver
-
ns3anyThird nameserver
-
ns4anyFourth nameserver
-
owneranyOwner of the hosting
-
packageanyHosting package type
-
lws_domainanyWhether the domain has been bought at LWS.fr or not
-
autorenewobjectInformations about the auto renewal of the domain
-
paymentstring -
accountstring
400
Bad Request
{
"code": 400,
"info": "Invalid request",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataany[]
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "Error message"
}
Response fields 3
-
codeinteger -
infostring -
datastring
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3
-
codeinteger -
infostring -
dataobject